cURL
curl --request POST \
--url https://app.hypersender.com/api/whatsapp/v2/{instance}/forward-message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatId": "[email protected]",
"messageId": "[email protected]_3EB08F6AD2A432386EFA0E"
}
'import requests
url = "https://app.hypersender.com/api/whatsapp/v2/{instance}/forward-message"
payload = {
"chatId": "[email protected]",
"messageId": "[email protected]_3EB08F6AD2A432386EFA0E"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chatId: '[email protected]',
messageId: '[email protected]_3EB08F6AD2A432386EFA0E'
})
};
fetch('https://app.hypersender.com/api/whatsapp/v2/{instance}/forward-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "[email protected]_3EB0579E140521570D238F,",
"timestamp": "1741395597,",
"from": "[email protected],",
"fromMe": "true,",
"body": "Hi there!,",
"hasMedia": "false,",
"media": "null,",
"ack": "0,",
"ackName": "PENDING,",
"replyTo": "null,",
"_data": {
"key": {
"remoteJid": "[email protected],",
"fromMe": "true,",
"id": "3EB0579E140521570D238F"
},
"message": {
"extendedTextMessage": {
"text": "Hi there!,",
"contextInfo": {
"forwardingScore": "1,",
"isForwarded": true
}
}
},
"messageTimestamp": "1741395597,",
"status": "PENDING"
}
}
Forward Message
Forward a message to another chat (that you chatted before, otherwise it may fail) using Hypersender WhatsApp API.
POST
/
{instance}
/
forward-message
cURL
V2 Queued Response: All API requests in V2 are queued for improved reliability. You’ll receive an immediate response with a
queued_request_uuid that you can use to check the actual message status.Response Format
All requests return a queued response:{
"queued": true,
"message": "Processing your request...",
"queued_request_uuid": "a0816120-7e37-4e8b-8cf3-92deb2cdc133",
"queued_request_link": "https://app.hypersender.com/api/whatsapp/v2/{instance}/queued-requests/a0816120-7e37-4e8b-8cf3-92deb2cdc133"
}
queued_request_link or the Get Queued Request endpoint to check the actual message response once it’s processed.
More details on queued requests can be found in the Queued Requests Documentation.
You can forward a message to another chat (that you chatted before, otherwise it may fail):
- Chat
- Group
- Recipient

Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
application/json
Example:
"application/json"
application/json
Example:
"application/json"
Path Parameters
Instance UUID copied from hypersender dashboard
Example:
"{{ instance_id }}"
Body
application/json
Contact number
Example:
Message ID to forward